> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Secret Store

> Update store metadata. The external ID never changes.



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json patch /organization/secret-stores/{store_id}
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /organization/secret-stores/{store_id}:
    patch:
      tags:
        - organization-secret-stores
      summary: Update Secret Store
      description: Update store metadata. The external ID never changes.
      operationId: organization-secret-stores-update_secret_store
      parameters:
        - name: store_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Store Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SecretStoreUpdate'
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyCookie: []
        - ServiceAccountApiKeyBearer: []
components:
  schemas:
    SecretStoreUpdate:
      properties:
        name:
          anyOf:
            - type: string
              maxLength: 100
              minLength: 1
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
              maxLength: 1000
            - type: 'null'
          title: Description
        config:
          anyOf:
            - $ref: '#/components/schemas/AwsSecretsManagerStoreUpdate'
            - type: 'null'
        enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Enabled
        all_workspaces:
          type: boolean
          title: All Workspaces
          description: Allow all current and future workspaces.
          default: false
      type: object
      title: SecretStoreUpdate
      description: >-
        Update an organization-owned secret store. Server-owned fields are
        immutable.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AwsSecretsManagerStoreUpdate:
      properties:
        role_arn:
          anyOf:
            - type: string
              maxLength: 2048
              pattern: ^arn:aws(?:-[a-z]+)*:iam::\d{12}:role/[\w+=,.@/-]+$
            - type: 'null'
          title: Role Arn
        region:
          anyOf:
            - type: string
              maxLength: 64
              pattern: ^[a-z]{2}(?:-[a-z]+)+-\d$
            - type: 'null'
          title: Region
      type: object
      title: AwsSecretsManagerStoreUpdate
      description: Client-supplied fields when updating an AWS Secrets Manager store.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth
    ServiceAccountApiKeyBearer:
      type: http
      description: Tracecat service account API key.
      scheme: bearer

````